Skip to main content
`Ctrl`+`K`
scipy.fftpack.

# ss_diff

scipy.fftpack.ss_diff(x, a, b, period=None, _cache=<_thread._local object>)

  Return (a,b)-sinh/sinh pseudo-derivative of a periodic sequence x.

  If x_j and y_j are Fourier coefficients of periodic functions x and y, respectively, then:

      y_j = sinh(j*a*2*pi/period)/sinh(j*b*2*pi/period) * x_j
      y_0 = a/b * x_0

  Parameters:
    x array_like

      The array to take the pseudo-derivative from.

    a,b

      Defines the parameters of the sinh/sinh pseudo-differential operator.

    period float, optional

      The period of the sequence x. Default is `2*pi`.

  Notes

  `ss_diff(ss_diff(x,a,b),b,a) == x`